<?php

namespace App\Models;

use CodeIgniter\Model;

class Model_kategori_identitas extends Model
{
    public function all_data()
    {
        return $this->db->table('tbl_kategori_identitas')
            ->orderBy('id_kategori_identitas', 'DESC')
            ->get()
            ->getResultArray();
    }

    public function add($data)
    {
        $this->db->table('tbl_kategori_identitas')->insert($data);
    }

    public function edit($data)
    {
        $this->db->table('tbl_kategori_identitas')
            ->where('id_kategori_identitas', $data['id_kategori_identitas'])
            ->update($data);
    }

    public function delete_data($data)
    {
        $this->db->table('tbl_kategori_identitas')
            ->where('id_kategori_identitas', $data['id_kategori_identitas'])
            ->delete($data);
    }
}
